#bbva_calculator_widget {
    max-height: 100vh;
    transition: max-height 0.75s ease-in;
}

#bbva_calculator_widget.hidden {
    max-height: 0;
    transition: max-height 0.75s ease-out;
    overflow: hidden;
}

.bbva_calculator_widget {
    display: flex;
    flex-direction: column;
    align-items: start;
}

.bbva_calculator_widget .medium {
    font-weight: 600;
}

.product-page-calculator-msg {
    min-width: 288px;
    max-width: 360px;
    width: 100%;
}

.calculator-info {
    display: block;
}

.calculator_wrapper {
    box-sizing: border-box;
    height: 160px;
    min-width: 288px;
    max-width: 360px;
    width: 100%;
}

.calculator_wrapper.simple {
    height: auto;
}

.calculator_simple_modal_backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000;
    opacity: 0.5;
    width: 100vw;
    height: 100vh;
    display: none;
}

.calculator_simple_modal_backdrop.on {
    display: block;
    transition: none !important;
    transform: none !important;
    animation: none !important;
}

.calculator_simple_modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    outline: 0;
    display: none;
    opacity: 1;
    transition: all 0.3s linear;
    pointer-events: none;
    font-family: 'Benton Sans', sans-serif;
    width: 100vw;
    height: 100vh;
    overflow: hidden !important;
}

.calculator_simple_modal.on {
    display: block;
}

.calculator_simple_modal_dialog {
    margin: 30px auto 0;
    max-width: 368px;
    max-height: 441px;
    width: 100%;
    height: auto;
    pointer-events: all;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
}

.calculator_simple_modal_content {
    overflow: auto;
    background-color: #fff;
    box-sizing: border-box;
    max-height: 100vh;
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    color: #333333;
    letter-spacing: 0;
    line-height: 24px;
    text-align: center;
    padding: 0px;
    align-items: center;
}

@media (min-width: 576px) {
    .calculator_simple_modal_content {
        max-height: 441px;
    }
}

.calculator_simple_modal_content .modal-header {
    display: flex;
    justify-content: right;
    margin: 0;
    box-sizing: border-box;
    text-align: right;
    padding: 20px;
    height: 56px;
}

.calculator_simple_modal_content .modal-header button.close {
    border: none;
    cursor: pointer;
    font-size: 35px;
    text-decoration: none;
    opacity: 1;
    z-index: 10;
    padding: 0;
    line-height: 7px;
    background-color: transparent;
}

.calculator_simple_modal_content .modal-header button.close span {
    display: block;
}

.calculator_simple_modal_content .modal-body {
    box-sizing: border-box;
    padding: 0px 56px 56px 56px;
    margin: 0px;
    max-width: 368px;
    width: 100%;
}

.calculator_simple_modal_content .modal-title .calculator-title {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
}

.calculator_simple_modal_content .modal-title .calculator-title-financing {
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 6px;
}

.calculator_simple_modal_content .modal-title .calculator-logo.title-calculator-logo img {
    max-width: 80px;
    width: 100%;
    margin: 0 auto;
}

.calculator-title {
    color: #333333;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 0;
    line-height: 24px;
    display: flex;
    justify-content: space-between;
}

.calculator-title > .title-calculator-logo {
    display: inline-block;
}

.quote-selector-wrapper {
    height: 32px;
    min-width: 256px;
    max-width: 328px;
    width: 100%;
    border-radius: 17px;
    background-color: #F4F4F4;
    margin-top: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: "Benton Sans";
    font-size: 15px;
    font-weight: bolder;
    letter-spacing: 0;
    line-height: 24px;
}

.quote-selector-wrapper.simple {
    margin-top: 0;
}

.quote-price {
    height: 24px;
    color: #121212;
    margin-left: 12px;
}

.quote-selector {
    text-align: right;
    display: inline-flex;
    align-items: center;
    justify-content: end;
    margin-right: 5px;
}

.quote-selector-quotes {
    margin: 0 8px;
}

.quote-button {
    cursor: pointer;
}

.quote-button.disabled {
    cursor: not-allowed;
    opacity: 40%;
    transition: opacity 0.50s ease-out;
}

.calculator-financing {
    display: inline-block;
    font-family: 'Roboto', sans-serif;
    font-size: 10px;
    color: #333333;
    letter-spacing: 0;
    line-height: 16px;
    height: 160px;
    width: 100%;
    text-align: center;
    align-items: center;
}

.calculator-financing.simple {
    margin-top: 17px;
}

.calculator-financing.simple,
.calculator-financing.simple .calculator-detail-line-2 {
    font-size: 12px;
    line-height: 24px;
    height: auto;
}

.calculator-financing.simple .calculator-detail-line-2 {
    font-size: 14px;
}

.calculator-payment-detail {
    min-width: 256px;
    max-width: 328px;
    width: 100%;
    height: 32px;
    display: flex;
    justify-content: space-between;
    margin-top: 8px;
}

.calculator-payment-detail.simple {
    flex-direction: column;
    height: auto;
    align-items: center;
    margin-top: 0;
}

.calculator-credit-data.simple {
    margin-top: 12px;
    margin-bottom: 4px;
}

.calculator-credit-data.simple calculator-credit-data-text {
    display: flex;
    flex-direction: column;
}

.calculator-payment-detail-total-amount.simple,
.calculator-payment-detail-total-amount-quotes.simple {
    width: auto;
    height: auto;
    margin: 0;
}

.calculator-payment-detail-total-amount {
    width: 105px;
}

.calculator-payment-detail-total-amount-quotes {
    width: 94px;
    margin-left: 50px;
}

.calculator-payment-detail-separator.simple {
    width: 40px;
    border-bottom: 1px solid #D3D3D3;
    margin: 6px;
}

.calculator-detail-line-2 {
    font-size: 11px;
}

.calculator-credit-data {
    min-width: 256px;
    max-width: 328px;
    width: 100%;
}

.calculator-credit-data > p {
    margin-bottom: 0;
    text-align: center;
}
